﻿using Sdl.Core.Globalization;
using Sdl.Core.Settings;
using Sdl.FileTypeSupport.Framework.NativeApi;

namespace Versacom.Sdl.Plugins.Filters.Demo
{

    /// <summary>
    /// Implementation of a INativeFileSniffer for Demo file type.
    /// 
    /// The file sniffer is ran before the file is processed and returns info such as, IsSupported, Encoding, can detect languages and more
    /// </summary>
    public class DemoFileSniffer : INativeFileSniffer
    {
        /// <summary>
        /// Implements INativeFileSniffer.Sniff
        /// </summary>
        /// <param name="nativeFilePath"></param>
        /// <param name="suggestedSourceLanguage"></param>
        /// <param name="suggestedCodepage"></param>
        /// <param name="messageReporter"></param>
        /// <param name="settingsGroup"></param>
        /// <returns></returns>
        public SniffInfo Sniff(string nativeFilePath, Language suggestedSourceLanguage, Codepage suggestedCodepage, INativeTextLocationMessageReporter messageReporter, ISettingsGroup settingsGroup)
        {
            SniffInfo sniffInfo = new SniffInfo();
            sniffInfo.IsSupported = true;
            return sniffInfo;
        }
    }
}
